Subject: Re: [PATCH 3/3] fbdev/ps3fb: fix section mismatch warning for ps3fb_probe

From: Vladimir Murzin <[email-masked]>
Date: Tue, 10 Sep 2013 19:05:17 +0200

On Tue, Sep 10, 2013 at 06:56:33PM +0200, Geert Uytterhoeven wrote:
> On Tue, Sep 10, 2013 at 6:46 PM, Vladimir Murzin <[email-masked]> wrote:
> > diff --git a/drivers/video/ps3fb.c b/drivers/video/ps3fb.c
> > index dbfe2c1..b269abd 100644
> > --- a/drivers/video/ps3fb.c
> > +++ b/drivers/video/ps3fb.c
> > @@ -952,7 +952,7 @@ static struct fb_ops ps3fb_ops = {
> >         .fb_compat_ioctl = ps3fb_ioctl
> >  };
> >
> > -static struct fb_fix_screeninfo ps3fb_fix __initdata = {
> > +static struct fb_fix_screeninfo ps3fb_fix = {
> >         .id =           DEVICE_NAME,
> >         .type =         FB_TYPE_PACKED_PIXELS,
> >         .visual =       FB_VISUAL_TRUECOLOR,
> 
> Fixed before by Geoff, but never applied:
> http://marc.info/?l=linux-fbdev&m=136914132618389&w=3

Great! Hope some day it will ;)

Sorry for the noise
Vladimir

> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds